## Get all attributes

### cURL

```
curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/order/attribute \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```python
import requests

url = "https://prod01.oms.fabric.inc/api/v2/order/attribute"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/order/attribute', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/order/attribute",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://prod01.oms.fabric.inc/api/v2/order/attribute"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("x-site-context", "<x-site-context>")
	req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```java
HttpResponse<String> response = Unirest.get("https://prod01.oms.fabric.inc/api/v2/order/attribute")
  .header("x-site-context", "<x-site-context>")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://prod01.oms.fabric.inc/api/v2/order/attribute")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### HTTP Status Codes

- **200** : Success
- **400** : Bad Request
- **404** : Not found
- **500** : Internal Server Error

### Response Structure

```json
[
  {
    "id": "<string>",
    "code": "<string>",
    "name": "<string>",
    "description": "<string>",
    "required": true
  }
]
```

### Error Responses

```json
{
  "message": "Bad Request"
}
```

```json
{
  "message": "Not found"
}
```

```json
{
  "message": "Internal Server Error"
}
```

### Authorizations

- **Authorization**: string
  - Required: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Headers

- **x-site-context**: string
  - Required: The `x-site-context` header is a JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot. The `channel` (Sales channel ID), `stage` (environment name), and `date` attributes can be used to further narrow the scope of your data source.

Example:
```json
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
```

### Response Attributes

- **id**: string
- **code**: string
- **name**: string
- **description**: string
- **required**: boolean
- **type**: enum<string>
  - Available options: `BOOLEAN`, `INTEGER`, `NUMBER`, `STRING`
